# include <CpuTimer.h>
using namespace Alice;


CpuTimer::CpuTimer()
  : before(clock())
{
};

CpuTimer::~CpuTimer()
{
};

double 
CpuTimer::age()
{
  const clock_t after(clock());
  
  const double timeTaken = (1.0*(after-before)/CLOCKS_PER_SEC);
  return timeTaken;  
};
